<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: Link&lt; Class T &gt; Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('df/dcf/class_link_3_01_class_01_t_01_4.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a>  </div>
  <div class="headertitle"><div class="title">Link&lt; Class T &gt; Class Reference</div></div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:acf286e9de5a23a35ebe7ce14fbebb806"><td class="memItemLeft" align="right" valign="top">proto private native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/dcf/class_link_3_01_class_01_t_01_4.html#acf286e9de5a23a35ebe7ce14fbebb806">Init</a> (T <a class="el" href="../../db/dd0/_magnum_8c.html#a0822b67a9497c1c6258c280f71d5512e">init</a>)</td></tr>
<tr class="separator:acf286e9de5a23a35ebe7ce14fbebb806"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad763d03da4b1c7fd1311361e72f068e9"><td class="memItemLeft" align="right" valign="top">proto private native <a class="el" href="../../d8/d83/class_object.html">Object</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/dcf/class_link_3_01_class_01_t_01_4.html#ad763d03da4b1c7fd1311361e72f068e9">Get</a> ()</td></tr>
<tr class="separator:ad763d03da4b1c7fd1311361e72f068e9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac4ba6b48266b753281c5c23492edb486"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/dcf/class_link_3_01_class_01_t_01_4.html#ac4ba6b48266b753281c5c23492edb486">Release</a> ()</td></tr>
<tr class="separator:ac4ba6b48266b753281c5c23492edb486"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a769710784f9dab49f1ef640512cb13db"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/dcf/class_link_3_01_class_01_t_01_4.html#a769710784f9dab49f1ef640512cb13db">Link</a> (T <a class="el" href="../../db/dd0/_magnum_8c.html#a0822b67a9497c1c6258c280f71d5512e">init</a>)</td></tr>
<tr class="separator:a769710784f9dab49f1ef640512cb13db"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae19b6e310f46f2d6b69629f5a6c9b344"><td class="memItemLeft" align="right" valign="top">T&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/dcf/class_link_3_01_class_01_t_01_4.html#ae19b6e310f46f2d6b69629f5a6c9b344">Ptr</a> ()</td></tr>
<tr class="separator:ae19b6e310f46f2d6b69629f5a6c9b344"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1c80cbefbd6395f1cc8db6f5ecf7febc"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/dcf/class_link_3_01_class_01_t_01_4.html#a1c80cbefbd6395f1cc8db6f5ecf7febc">IsNull</a> ()</td></tr>
<tr class="separator:a1c80cbefbd6395f1cc8db6f5ecf7febc"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../dc/d3d/proto_8c_source.html#l00361">361</a> of file <a class="el" href="../../dc/d3d/proto_8c_source.html">proto.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a769710784f9dab49f1ef640512cb13db" name="a769710784f9dab49f1ef640512cb13db"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a769710784f9dab49f1ef640512cb13db">&#9670;&#160;</a></span>Link()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Link&lt; <a class="el" href="../../d5/d78/group___enforce.html#d4/d14/class_class">Class</a> T &gt;::Link </td>
          <td>(</td>
          <td class="paramtype">T&#160;</td>
          <td class="paramname"><em>init</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/d3d/proto_8c_source.html#l00372">372</a> of file <a class="el" href="../../dc/d3d/proto_8c_source.html">proto.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="ad763d03da4b1c7fd1311361e72f068e9" name="ad763d03da4b1c7fd1311361e72f068e9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad763d03da4b1c7fd1311361e72f068e9">&#9670;&#160;</a></span>Get()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto private native <a class="el" href="../../d8/d83/class_object.html">Object</a> <a class="el" href="../../df/dcf/class_link_3_01_class_01_t_01_4.html#a769710784f9dab49f1ef640512cb13db">Link</a>&lt; <a class="el" href="../../d5/d78/group___enforce.html#d4/d14/class_class">Class</a> T &gt;::Get </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="acf286e9de5a23a35ebe7ce14fbebb806" name="acf286e9de5a23a35ebe7ce14fbebb806"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acf286e9de5a23a35ebe7ce14fbebb806">&#9670;&#160;</a></span>Init()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto private native void <a class="el" href="../../df/dcf/class_link_3_01_class_01_t_01_4.html#a769710784f9dab49f1ef640512cb13db">Link</a>&lt; <a class="el" href="../../d5/d78/group___enforce.html#d4/d14/class_class">Class</a> T &gt;::Init </td>
          <td>(</td>
          <td class="paramtype">T&#160;</td>
          <td class="paramname"><em>init</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a1c80cbefbd6395f1cc8db6f5ecf7febc" name="a1c80cbefbd6395f1cc8db6f5ecf7febc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1c80cbefbd6395f1cc8db6f5ecf7febc">&#9670;&#160;</a></span>IsNull()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> <a class="el" href="../../df/dcf/class_link_3_01_class_01_t_01_4.html#a769710784f9dab49f1ef640512cb13db">Link</a>&lt; <a class="el" href="../../d5/d78/group___enforce.html#d4/d14/class_class">Class</a> T &gt;::IsNull </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/d3d/proto_8c_source.html#l00382">382</a> of file <a class="el" href="../../dc/d3d/proto_8c_source.html">proto.c</a>.</p>

</div>
</div>
<a id="ae19b6e310f46f2d6b69629f5a6c9b344" name="ae19b6e310f46f2d6b69629f5a6c9b344"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae19b6e310f46f2d6b69629f5a6c9b344">&#9670;&#160;</a></span>Ptr()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">T <a class="el" href="../../df/dcf/class_link_3_01_class_01_t_01_4.html#a769710784f9dab49f1ef640512cb13db">Link</a>&lt; <a class="el" href="../../d5/d78/group___enforce.html#d4/d14/class_class">Class</a> T &gt;::Ptr </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/d3d/proto_8c_source.html#l00377">377</a> of file <a class="el" href="../../dc/d3d/proto_8c_source.html">proto.c</a>.</p>

</div>
</div>
<a id="ac4ba6b48266b753281c5c23492edb486" name="ac4ba6b48266b753281c5c23492edb486"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac4ba6b48266b753281c5c23492edb486">&#9670;&#160;</a></span>Release()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="../../df/dcf/class_link_3_01_class_01_t_01_4.html#a769710784f9dab49f1ef640512cb13db">Link</a>&lt; <a class="el" href="../../d5/d78/group___enforce.html#d4/d14/class_class">Class</a> T &gt;::Release </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/d3d/proto_8c_source.html#l00366">366</a> of file <a class="el" href="../../dc/d3d/proto_8c_source.html">proto.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/1_Core/proto/<a class="el" href="../../dc/d3d/proto_8c_source.html">proto.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../df/dcf/class_link_3_01_class_01_t_01_4.html">Link&lt; Class T &gt;</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
